import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature } from 'topojson';
const jsonIndianstate =
    'https://gist.githubusercontent.com/sudhamshu24/64d6fa686c4149620ecdcc2a5872c986/raw/b6b85328373bbcbda9c0051b29a7a038c6c09fc4/india.gist';;
export const useData = () => {
    const [data, setData] = useState(null);
  	console.log(data)
    useEffect(() => {
    json(jsonIndianstate).then(topoData => {
      const {india} = topoData.objects;
      setData(feature(topoData,india))
    });
  }, []);
  return data;
  } 